/*******************************************************************************
 * Copyright (c) 2005, 2006 IBM,Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Guru Nagarajan, Intel - initial API and implementation
 *    IBM - Initial Java API and implementation
 *
 * $Id: TPTP_BinaryArray.h,v 1.3 2006-02-10 19:54:15 vnaikawadi Exp $
 *
 *******************************************************************************/  


#ifndef TPTP_BINARYARRAY_H
#define TPTP_BINARYARRAY_H

#include "tptp/TPTPExport.h"

#include <stdlib.h>
#include <iostream>




class TPTP_CLASS_EXPORT TPTP_BinaryArray
{
	public:
		
		TPTP_BinaryArray();
		~TPTP_BinaryArray();
		void setData(char* data, int offset, int length);
		void setData(char* data);
		long length();
		int  getSize();
		int  getPadding();
		char* getData();


	private:
		void calculatePadding();

	protected:
		char* _data;
		int	  _padding;

};


#endif 


